require("ggplot2")
require("dplyr")
allRates <- read.csv("/Users/bouchard/w/blogobayes/www/ex/be/results/all/LaunchPrediction-1927151314/monitoring/swapStatistics.csv") 
allParams <- read.csv("/Users/bouchard/w/blogobayes/www/ex/be/results/all/LaunchPrediction-1927151314/monitoring/annealingParameters.csv") 
maxRound <- max(allRates$round)
for (r in 0:maxRound) {
  rates <- allRates %>% filter(round == r)
  params <- allParams %>% filter(round == r)
  rejections <- rev(1 - rates$value)
  cumRejections <- cumsum(rejections)
  empirical <- data.frame("beta" = rev(params$value), "Lambda" = cumRejections)
  p <- ggplot(empirical, aes(x = beta, y = Lambda)) + geom_step(direction="vh") + xlim(0,1) + theme_bw()
  ggsave(paste0("/Users/bouchard/w/blogobayes/www/ex/be/results/all/LaunchPrediction-1927151314/monitoringPlots/adaptationIterations/iteration-", r, ".pdf"), limitsize = F) 
}
