require("ggplot2")
require("dplyr")

data <- read.csv("/Users/bouchard/w/blogobayes/www/ex/be/results/all/LaunchPrediction--1979461773/samples/launch2.csv")

# ggplot has bad default sizes for large facetting
verticalSize <- 2.0 *  1 
horizontalSize <- 4.0


p <- ggplot(data, aes(x = sample, y = value)) +
  geom_step() + 
  theme_bw() + 
  xlab("MCMC iteration") +
  ylab("sample") +
  ggtitle("Trace plot for: launch2")
ggsave("/Users/bouchard/w/blogobayes/www/ex/be/results/all/LaunchPrediction--1979461773/tracePlotsFull/launch2.pdf", limitsize = F, height = verticalSize, width = horizontalSize)
